FROM ubuntu:16.04

RUN export DEBIAN_FRONTEND="noninteractive"
RUN mkdir /opt/supbot/

WORKDIR /opt/supbot/

COPY requirements.txt /opt/supbot/requirements.txt
COPY bot.py /opt/supbot/bot.py
COPY start.sh /opt/start.sh

RUN chmod +x /opt/start.sh

RUN apt-get update && apt-get install -y python2.7 \
    python-pip \
    wget \
    unzip

RUN wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -

RUN echo 'deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main' | tee /etc/apt/sources.list.d/google-chrome.list

RUN apt-get update && apt-get install -y google-chrome-stable 

# RUN wget https://github.com/mozilla/geckodriver/releases/download/v0.21.0/geckodriver-v0.21.0-linux64.tar.gz && tar -xvzf geckodriver-v0.21.0-linux64.tar.gz -C /opt/supbot/ && \

RUN wget https://chromedriver.storage.googleapis.com/2.42/chromedriver_linux64.zip && \
    unzip chromedriver_linux64.zip && \
    pip install -r /opt/supbot/requirements.txt

CMD /opt/start.sh

